aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2022-04-22 13:39:11 +0200
committerosmith <osmith@sysmocom.de>2022-04-26 12:06:47 +0000
commitf5183911c8d8a0c7b3c205817411041b10229bf4 (patch)
tree20114a1b0f9e77c24eae5dbdf34ecd2a2cb09653 /contrib
parent2d818b9f2e2d27e8fbd055800fe00115da5aa8a4 (diff)
contrib/jenkins.sh: check osmo_bts_has_feature use
Make sure we don't check against bts->model->features instead of bts->features by accident. Related: SYS#5922, OS#5538 Change-Id: I47eef4978aaf9e20fc00a3ca029568671bd09d8d
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 189eb2ca0..53b30bfa0 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -27,6 +27,17 @@ osmo-build-dep.sh libosmocore "" '--disable-doxygen --enable-gnutls'
verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+# Check for wrong use of osmo_bts_has_feature (OS#5538)
+bts_features_wrong_use="$(grep -r -n 'osmo_bts_has_feature.*->model->features' | grep -v 'jenkins.sh')" || true
+if [ -n "$bts_features_wrong_use" ]; then
+ set +x
+ echo
+ echo "ERROR: Don't use osmo_bts_has_feature with bts->model->features. Use bts->features instead."
+ echo
+ echo "$bts_features_wrong_use"
+ exit 1
+fi
+
export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
export LD_LIBRARY_PATH="$inst/lib"
export PATH="$inst/bin:$PATH"